Bug 1079043 - [GSS] (6.3.0) MessageContext is lost when JAX-WS client is invoked from within a JAX-WS endpoint impl
Summary: [GSS] (6.3.0) MessageContext is lost when JAX-WS client is invoked from withi...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER4
: EAP 6.3.0
Assignee: Alessio Soldano
QA Contact: Rostislav Svoboda
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1079044 1087653 1103627
TreeView+ depends on / blocked
 
Reported: 2014-03-20 20:30 UTC by Kyle Lape
Modified: 2018-12-05 17:47 UTC (History)
3 users (show)

(edit)
In previous versions of JBoss EAP 6, when a JAX-WS client was invoked inside an endpoint, the endpoint's MessageContext was removed from the ThreadLocal and not replaced at the end of the client call. 

This caused the MessageContext to be unavailable to endpoints after they make any JAX-WS invocation.

This bug has been addressed in this release of the product.
Clone Of:
: 1079044 (view as bug list)
(edit)
Last Closed: 2014-06-28 15:40:32 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA CXF-5626 None None None Never

Description Kyle Lape 2014-03-20 20:30:31 UTC
When a JAX-WS client is invoked inside an endpoint, the endpoint's MessageContext is bumped out of the ThreadLocal and is not replaced at the end of the client call. This makes the MessageContext unavailable to endpoints after they make any JAX-WS invocation.

Comment 1 Scott Mumford 2014-04-23 00:16:00 UTC
Flagged as Known Issue as ticket unresolved at the time of writing the release note.

Comment 2 Kabir Khan 2014-04-23 14:01:23 UTC
Solved by update https://bugzilla.redhat.com/show_bug.cgi?id=1087653

Comment 3 Jan Blizňák 2014-05-22 11:51:27 UTC
Verified on 6.3.0.ER4

I verified that reproducers from customer case test the problem.
I tried to run them with results:

all failed on 6.3.0.ER3
all passed on 6.3.0.ER4

I also checked that fix for CXF-5626 is really included in CXF 2.7.11.


Note You need to log in before you can comment on or make changes to this bug.